=== debian/changelog ===
afdko (3.5.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.5.1+dfsg1
  * debian/control: Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 10 Oct 2020 23:11:31 +0800

afdko (3.5.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.5.0+dfsg1
  * Move afdko binaries to /usr/libexec and provide script `afdko` for
    interfacing the binaries (Closes: #965151)
  * debian/control:
    - Swap maintainer and uploader; maintainer is now Debian Fonts Task Force
    - Update dependencies
    - Add python3 as afdko dependency to avoid lintian error
  * debian/afdko.install: Remove binaries that don't exist in afdko

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 26 Jul 2020 00:37:33 +0800

afdko (3.4.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload for testing migration.
  * Update Homepage field.
  * debian/upstream/metadata: Document GitHub repo.

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Jul 2020 11:40:11 -0400

afdko (3.4.0+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #762252)
  * Remove tests temporarily.  Licenses on the font files need to be checked
    throughly.

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 25 Jun 2020 19:24:09 +0800
