=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export XFLAGS=$(shell dpkg-buildflags --get CFLAGS)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	python3 setup.py clean
