=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1" \
https://github.com/adobe-type-tools/afdko/releases \
   .*/afdko-@ANY_VERSION@@ARCHIVE_EXT@
