## afdko 3.6.0+dfsg1

=== requirements.txt ===
# 'lxml' is not a primary requirement of afdko but it's listed here because
# we want to have control over the version and guarantee that the XML output
# of our tools is stable
# NOTE: hard-pinning (==) here gets relaxed to >= in setup.py
lxml==4.6.2
booleanOperations==0.9.0
defcon[pens,lxml]==0.7.2
fontMath==0.6.0
fontTools[woff,ufo,unicode,lxml]==4.18.2
psautohint==2.2.0
tqdm==4.54.1
ufonormalizer==0.5.2
ufoProcessor==1.9.0
