=== debian/changelog ===
afdko (3.6.0+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * debian/rules
    - Add hardening option
    - Set CPPFLAGS and LDFLAGS via XFLAGS

 -- Hideki Yamane <henrich@debian.org>  Sun, 14 Feb 2021 23:15:29 +0900

afdko (3.6.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * debian/control
    - Adjust Build-Depends with cu2qu removal (Closes: #982697)
  * debian/rules
    - Ignore error at dh_auto_clean target
  * Update extend-diff-ignore in debian/source/options
  * Add debian/salsa-ci.yml

 -- Hideki Yamane <henrich@debian.org>  Sun, 14 Feb 2021 10:46:05 +0900

afdko (3.6.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.6.0+dfsg1
  * debian/control:
    - Update dependencies
    - debian/control: Bump Standards-Version to 4.5.1. No other changes are
      needed.
  * debian/watch: Handle pre-release version
  * debian/rules: Make setuptools-scm know the version of the package

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Fri, 01 Jan 2021 19:05:48 +0800
