=== debian/control ===
--- 
+++ 
@@ -8,19 +8,17 @@
  dh-python,
  python3-all,
  python3-booleanoperations (>= 0.9.0),
- python3-cu2qu (>= 1.6.7),
  python3-defcon (>= 0.7.2),
  python3-fontmath (>= 0.6.0),
- python3-fonttools (>= 4.14.0),
- python3-mutatormath (>= 3.0.1),
- python3-psautohint (>= 2.1.0),
+ python3-fonttools (>= 4.19.1),
+ python3-psautohint (>= 2.2.0),
  python3-tqdm (>= 4.48.2),
- python3-ufonormalizer (>= 0.4.2),
+ python3-ufonormalizer (>= 0.5.2),
  python3-ufoprocessor (>= 1.9.0),
  python3-setuptools,
  python3-setuptools-scm,
  python3-wheel
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://adobe-type-tools.github.io/afdko/
 Vcs-Browser: https://salsa.debian.org/fonts-team/afdko
 Vcs-Git: https://salsa.debian.org/fonts-team/afdko.git
