=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?(a|b)[.]?(\d*)$/\$1~\$2\$3/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1" \
https://github.com/adobe-type-tools/afdko/releases .*/v*@ANY_VERSION@@ARCHIVE_EXT@
